'''
This file is part of RTL Multi-User Server, 
	that makes multi-user access to your DVB-T dongle used as an SDR.
Copyright (c) 2013 by Andras Retzler <retzlerandras@gmail.com>

RTL Multi-User Server is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

RTL Multi-User Server is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with RTL Multi-User Server.  If not, see <http://www.gnu.org/licenses/>.
'''

my_ip=''	# all interfaces
my_listening_port = 7373
rtl_tcp_host = 'localhost'
rtl_tcp_port = 1234
setuid_on_start = 1						# we normally start with root privileges and setuid() to another user
uid = 999 									# determine by issuing: $ id -u username
ignore_clients_without_commands = 1 # we won't serve data to telnet sessions and things like that
												# we'll start to serve data after getting the first valid command 
freq_allowed_ranges = [[50000000,52000000],[70000000,70500000],[88000000,108000000],[144000000,146000000],[430000000,440000000]]
# Allow from all: freq_allowed_ranges = [[24000000,2200000000]]

client_cant_set_until=2					# client softwares usually try to set frequency and other parameters instantly 
												# on connect. We don't want this, as it will detune the LO so others 
												# won't be able to listen to what they were listening before.
buffer_size=10000000	# per client
log_file_path = "/var/log/rtl_mus.log" # Might be set to /dev/null to turn off logging
'''
Allow any host to connect:
	use_ip_access_control=0

Allow from specific ranges:
	use_ip_access_control=1
	order_allow_deny=0 # deny and then allow
	denied_ip_ranges=() # deny from all
	allowed_ip_ranges=('192.168.','44.','127.0.0.1') # allow only from ...

Deny from specific ranges:
	use_ip_access_control=1
	order_allow_deny=0 # allow and then deny
	allowed_ip_ranges=() # allow from all
	denied_ip_ranges=('192.168.') # deny any hosts from ...
'''
use_ip_access_control=0
allow_gain_set=1
