#!/bin/bash
# This file is part of RTL Multi-User Server, 
#	that makes multi-user access to your DVB-T dongle used as an SDR.
# Copyright (c) 2013 by Andras Retzler <retzlerandras@gmail.com>
#
# RTL Multi-User Server is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
# 
# RTL Multi-User Server is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with RTL Multi-User Server.  If not, see <http://www.gnu.org/licenses/>.

### BEGIN INIT INFO
# Provides:          start-rtl
# Required-Start:    $remote_fs $syslog
# Required-Stop:     $remote_fs $syslog
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Run services required for SDR access
# Description:       Original was: http://thefabric.com/run-nodemon-on-startup-on-a-raspberry-pi/
### END INIT INFO

# It is a quick and dirty init script.
# Will log rtl_tcp output:
# sudo /bin/bash -c 'while true; do sudo -u rtl_mus rtl_tcp -a 0.0.0.0 -d 0 -p 1234 -s 250000 > /var/log/rtl_tcp-last-run.log; done' &
sudo /bin/bash -c 'while true; do sudo -u rtl_mus rtl_tcp -a 0.0.0.0 -d 0 -p 1234 -s 250000; done' & # Won't log 
sudo /bin/bash -c 'python /usr/bin/rtl_mus.py config_rtl' &

